net.minecraft.util

## Class HttpUtil

- java.lang.Object
- - net.minecraft.util.HttpUtil

-     public class HttpUtil
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `HttpUtil.DownloadListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `buildPostString(java.util.Map par0Map)`
    `static void` | `func_151223_a(java.io.File p_151223_0_, java.lang.String p_151223_1_, HttpUtil.DownloadListener p_151223_2_, java.util.Map p_151223_3_, int p_151223_4_, IProgressUpdate p_151223_5_, java.net.Proxy p_151223_6_)`
    `static java.lang.String` | `func_151226_a(java.net.URL p_151226_0_, java.util.Map p_151226_1_, boolean p_151226_2_)`
    `static int` | `func_76181_a()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpUtil

          public HttpUtil()

  - ### Method Detail

    - #### buildPostString

          public static java.lang.String buildPostString(java.util.Map par0Map)

    - #### func_151226_a

          public static java.lang.String func_151226_a(java.net.URL p_151226_0_,
                                       java.util.Map p_151226_1_,
                                       boolean p_151226_2_)

    - #### func_151223_a

          public static void func_151223_a(java.io.File p_151223_0_,
                           java.lang.String p_151223_1_,
                           HttpUtil.DownloadListener p_151223_2_,
                           java.util.Map p_151223_3_,
                           int p_151223_4_,
                           IProgressUpdate p_151223_5_,
                           java.net.Proxy p_151223_6_)

    - #### func_76181_a

          public static int func_76181_a()
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`